Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.gse
[Java] Class StringSetMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              java.util.LinkedHashMap
                  org.codehaus.groovy.tools.gse.StringSetMap

    public class StringSetMap
    extends LinkedHashMap

Constructor Summary
`StringSetMap()`
`StringSetMap(StringSetMap other)`

Method Summary
`Set` | `get(Object o)`
`void` | `makeTransitiveHull()`

Methods inherited from class LinkedHashMap
get, clear, containsValue, put, values, clone, size, isEmpty, entrySet, putAll, remove, keySet, containsKey, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class HashMap
get, put, values, clone, clear, size, isEmpty, entrySet, putAll, remove, keySet, containsValue, containsKey, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractMap
get, put, equals, toString, values, hashCode, clear, size, isEmpty, entrySet, putAll, remove, keySet, containsValue, containsKey, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StringSetMap

    public StringSetMap()

### StringSetMap

    public StringSetMap(StringSetMap other)

Method Detail

### get

    public Set get(Object o)

### makeTransitiveHull

    public void makeTransitiveHull()

Copyright © 2003-2010 The Codehaus. All rights reserved.